Quassel IRC - Bug #502

Undocumented client/core protocol incompatibility
01/26/2009 06:02 AM - kitterma

Status: Resolved Start date: 01/26/2009
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel Client Estimated time: 0.00 hour
Target version: 0.4.0

Version: 0.3.1+ 0S: Any
Description

I'm testing a January 25 git snapshot with the idea of updating the Kubuntu package. | could not connect a January 25 client with a
January 19 core despit repeated attempts. Updating the core to the same snapshot allowed the connection to complete. There was
no error, the connection just never got established after | put my password in (this is an SSL enabled connection).

Related issues:
Related to Quassel IRC - Bug #504: Client crash while trying to reconnect Resolved 01/27/2009

History

#1 - 01/26/2009 12:21 PM - EgS

All protocol breaks are commented and reflected by incrementing the protocol version number. The last protocol break was on 01/25/09 which was a
minor break, as it only affected the creation of new identities. Last major protocol break was on 01/06/09.

Please retest and make sure your core was started with --loglevel=Debug and check console output of client and core.

#2 - 01/26/2009 11:53 PM - EgS

- Status changed from New to Feedback

#3 - 01/27/2009 01:22 AM - kitterma

QObject::connect: Incompatible sender/receiver arguments

Action::triggered() --> Action::setChecked(bool)

SSL Errors:

"The host name did not match any of the valid hosts for this certificate"

"The certificate is self-signed, and untrusted"

coreSocketError QSsISocket(0xa3c15b0) "Error while reading: error:1408F06B:SSL routines:SSL3_GET_RECORD:bad decompression”
Client tried to send package larger than max package size!

Disconnecting 72.81.252.19

coreSocketError QSsISocket(0xa3c15b0) "Error while reading: error:1408F06B:SSL routines:SSL3_GET_RECORD:bad decompression”
Client tried to send package larger than max package size!

Disconnecting 72.81.252.19

This still happens with the newer server too, so it's not a protocol thing after all. Seems to happen about every third time | connect.

#4 - 01/28/2009 03:11 PM - kitterma

I no longer thing this has to do with any kind of protocol change. Here's another output when it wouldn't connect (same snapshot as before with SSL):

QObject::connect: Incompatible sender/receiver arguments
Action::triggered() --> Action::setChecked(bool)

SSL Errors:

"The host name did not match any of the valid hosts for this certificate"
"The certificate is self-signed, and untrusted"

gUncompress: Z_DATA_ERROR: Input data is corrupted

Client sent corrupt data: unable to load QVariant!

Disconnecting 72.81.252.19

Client tried to send 0 byte package!

Disconnecting

Client tried to send 0 byte package!

Disconnecting

SSL Errors:

"The host name did not match any of the valid hosts for this certificate"
"The certificate is self-signed, and untrusted”

gUncompress: Z_DATA_ERROR: Input data is corrupted

Client sent corrupt data: unable to load QVariant!
Disconnecting 72.81.252.19

Client tried to send 0 byte package!
Disconnecting

Client tried to send 0 byte package!
Disconnecting

#5 - 02/04/2009 01:08 PM - EgS
Any improvements since the following commit?

http://git.quassel-irc.org/?p=quassel.git;a=commitdiff;h=0ccf33bdae81a1e2{66221e5afc7c6e5a6f1dc3a

git-log:
fixing some irregularities in the clientsyncer

#6 - 02/04/2009 02:17 PM - EgS
- Category set to Quassel Client
- Status changed from Feedback to Resolved

- Target version set to 0.4.0

closing as discussed on IRC
